| Home | Libraries | People | FAQ | More

###### http::serializer::serializer (1 of 3 overloads)

Move Constructor.

###### Synopsis

    serializer(
        serializer&&);

###### Description

###### Remarks

Moving or copying the serializer after the first call to `serializer::next` results in undefined behavior. Try to heap-allocate the serializer object if you need to move the serializer between multiple async operations (for example, between a call to `async_write_header` and `async_write`).